import { OnInit } from '@angular/core';
import { ENgxPrintComponent } from "e-ngx-print";
import { ChartMenuService } from '../service/chart-menu.service';
export declare class ChartMenuComponent implements OnInit {
    private chartMenuService;
    print1Component: ENgxPrintComponent;
    constructor(chartMenuService: ChartMenuService);
    chartInstance: any;
    fileName: string;
    ngOnInit(): void;
    visible: boolean;
    closeDropDownMenu(): void;
    downloadImage(imageType: string, fileName: string): void;
    fullScreen(): void;
    customPrint(): void;
}
